- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_shm_completion_event_t Struct Reference
[XCB Shm API]

xcb_shm_completion_event_t More...

`#include <shm.h>`

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
xcb_drawable_t | drawable
xcb_shm_seg_t | shmseg
uint16_t | minor_event
uint8_t | major_event
uint8_t | pad1
uint32_t | offset

## Detailed Description

xcb_shm_completion_event_t

## Field Documentation

uint8_t xcb_shm_completion_event_t::response_type

uint8_t xcb_shm_completion_event_t::pad0

uint16_t xcb_shm_completion_event_t::sequence

xcb_drawable_t xcb_shm_completion_event_t::drawable

xcb_shm_seg_t xcb_shm_completion_event_t::shmseg

uint16_t xcb_shm_completion_event_t::minor_event

uint8_t xcb_shm_completion_event_t::major_event

uint8_t xcb_shm_completion_event_t::pad1

uint32_t xcb_shm_completion_event_t::offset

The documentation for this struct was generated from the following file:

- shm.h